.chatbot-toggler {
    position: fixed;
    right: 25px;
    bottom: 20px;
    height: 55px;
    width: 55px;
    border-radius: 50%;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    outline: none;
    cursor: pointer;
    background: var(--primary);
}

.chatbot-toggler span {
    position: absolute;
    font-size: 35px;
    margin-top: 5px;
}

.chatbot {
    position: fixed;
    right: 25px;
    bottom: 80px;
    width: 420px;
    overflow: hidden;
    background: white;
    border-radius: 10px;
    box-shadow: 0 0 128px rgba(0,0,0,0.1),
                0 32px 64px -48px rgba(0,0,0,0.5);
    transform: scale(0.5);
    opacity: 0;
    pointer-events: none;
    z-index: 99;
}

.show-chatbot .chatbot {
    transform: scale(1);
    opacity: 1;
    pointer-events: auto;
}

.chatbot header {
    background: var(--primary);
    padding: 16px 0;
    text-align: center;
}

.chatbot header h2 {
    color: white;
    font-size: 22px;
}

.chatbot .chatbox {
    height: 510px;
    overflow-y: auto;
    padding: 15px 20px 70px;
}

.chatbox .chat {
    display: flex;
}

.chatbox .incoming span {
    height: 32px;
    width: 32px;
    color: white;
    background: var(--primary);
    text-align: center;
    line-height: 32px;
    border-radius: 4px;
    font-size: 20px;
    align-self: flex-end;
    margin: 0 10px 7px 0;
}

.chatbox .outcoming {
    justify-content: flex-end;
    margin: 20px 0;
}

.chatbox .chat p {
    max-width: 75%;
    color: white;
    font-size: 16px;
    padding: 12px 16px;
    border-radius: 10px 10px 0 10px;
    background-color: var(--primary);
}

.chatbox .incoming p {
    color: #000;
    background: #f2f2f2;
    border-radius: 10px 10px 10px 0;
}

.chatbot .chat-input {
    position: absolute;
    bottom: 0;
    width: 100%;
    display: flex;
    gap: 5px;
    padding: 5px 10px;
    background: #fff;
    border-top: 1px solid #ccc;
}

.chat-input textarea {
    height: 55px;
    width: 100%;
    border: none;
    outline: none;
    font-size: 16px;
    resize: none;
    padding: 16px 15px 16px 0;
}

.material-symbols-btn {
    font-size: 24px;
    color: var(--primary);
    padding: 0px 10px;
    transition: var(--transition-timing)
}

.material-symbols-btn:hover {
    color: black;
}

